std::iterator_traits< _Tp * > Struct Template Reference

## Public Types

using | difference_type = ptrdiff_t
using | iterator_category = random_access_iterator_tag
using | iterator_concept = contiguous_iterator_tag
using | pointer = _Tp *
using | reference = _Tp &
using | value_type = remove_cv_t< _Tp >

## Detailed Description

### template<typename _Tp>
struct std::iterator_traits< _Tp * >

Partial specialization for object pointer types.

Definition at line 198 of file stl_iterator_base_types.h.

The documentation for this struct was generated from the following file:

- stl_iterator_base_types.h